------------------------------------------------------------
-- VHDL Top_FeuxCarrefour
-- 2013 4 11 10 31 22
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL Top_FeuxCarrefour
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity Top_FeuxCarrefour Is
  port
  (
    CLK_BRD        : In    STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=CLK_BRD
    JTAG_NEXUS_TCK : In    STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI : In    STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO : Out   STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS : In    STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    LED_B          : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=LED_B[7..0]
    LED_G          : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=LED_G[7..0]
    LED_R          : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=LED_R[7..0]
    SW_USER0       : In    STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=SW_USER0
    SW_USER1       : In    STD_LOGIC;                        -- ObjectKind=Port|PrimaryId=SW_USER1
    TEST_BUTTON    : In    STD_LOGIC                         -- ObjectKind=Port|PrimaryId=TEST_BUTTON
  );
  attribute MacroCell : boolean;

End Top_FeuxCarrefour;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of Top_FeuxCarrefour is
   Component CLKGEN                                          -- ObjectKind=Part|PrimaryId=U3|SecondaryId=1
      port
      (
        FREQ     : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U3-FREQ
        TIMEBASE : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U3-TIMEBASE
      );
   End Component;

   Component Configurable_U1                                 -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      port
      (
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-CLK
        CLK_CAP     : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-CLK_CAP
        EXT_TRIGGER : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-EXT_TRIGGER
        O_SB        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-O_SB
        O_SC        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-O_SC
        R_SB        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-R_SB
        R_SC        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-R_SC
        Set0_Spare  : in  STD_LOGIC_VECTOR(1 downto 0);      -- ObjectKind=Pin|PrimaryId=U1-Set0_Spare[1..0]
        STATUS      : out STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-STATUS
        V_SB        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U1-V_SB
        V_SC        : in  STD_LOGIC                          -- ObjectKind=Pin|PrimaryId=U1-V_SC
      );
   End Component;

   Component Configurable_U2                                 -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U2-I7
        O  : out STD_LOGIC_VECTOR(7 downto 0)                -- ObjectKind=Pin|PrimaryId=U2-O[7..0]
      );
   End Component;

   Component Configurable_U4                                 -- ObjectKind=Part|PrimaryId=U4|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U4-I7
        O  : out STD_LOGIC_VECTOR(7 downto 0)                -- ObjectKind=Pin|PrimaryId=U4-O[7..0]
      );
   End Component;

   Component Configurable_U5                                 -- ObjectKind=Part|PrimaryId=U5|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U5-I7
        O  : out STD_LOGIC_VECTOR(7 downto 0)                -- ObjectKind=Pin|PrimaryId=U5-O[7..0]
      );
   End Component;

   Component feuxcarrefour                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_feuxcarrefour
      port
      (
        BP1  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-BP1
        BP2  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-BP2
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-CLK
        O_SB : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-O_SB
        O_SC : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-O_SC
        R_SB : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-R_SB
        R_SC : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-R_SC
        RAZ  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-RAZ
        V_SB : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-V_SB
        V_SC : out STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-V_SC
      );
   End Component;

   Component NEXUS_JTAG_PORT                                 -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      port
      (
        TCK  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  : out STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST : in  STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );
   End Component;


    Signal PinSignal_NEXUS_JTAG_PORT_TDO  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TDO
    Signal PinSignal_U_feuxcarrefour_O_SB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_O_SB
    Signal PinSignal_U_feuxcarrefour_O_SC : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_O_SC
    Signal PinSignal_U_feuxcarrefour_R_SB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_R_SB
    Signal PinSignal_U_feuxcarrefour_R_SC : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_R_SC
    Signal PinSignal_U_feuxcarrefour_V_SB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_V_SB
    Signal PinSignal_U_feuxcarrefour_V_SC : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_V_SC
    Signal PinSignal_U2_O                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_R[7..0]
    Signal PinSignal_U3_FREQ              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_CLK_CAP
    Signal PinSignal_U4_O                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_G[7..0]
    Signal PinSignal_U5_O                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LED_B[7..0]
    Signal PowerSignal_GND                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_GND_BUS            : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=N000-1
    Signal PowerSignal_VCC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    U_feuxcarrefour : feuxcarrefour                          -- ObjectKind=Sheet Symbol|PrimaryId=U_feuxcarrefour
      Port Map
      (
        BP1  => SW_USER0,                                    -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-BP1
        BP2  => SW_USER1,                                    -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-BP2
        CLK  => PinSignal_U3_FREQ,                           -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-CLK
        O_SB => PinSignal_U_feuxcarrefour_O_SB,              -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-O_SB
        O_SC => PinSignal_U_feuxcarrefour_O_SC,              -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-O_SC
        R_SB => PinSignal_U_feuxcarrefour_R_SB,              -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-R_SB
        R_SC => PinSignal_U_feuxcarrefour_R_SC,              -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-R_SC
        RAZ  => TEST_BUTTON,                                 -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-RAZ
        V_SB => PinSignal_U_feuxcarrefour_V_SB,              -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-V_SB
        V_SC => PinSignal_U_feuxcarrefour_V_SC               -- ObjectKind=Sheet Entry|PrimaryId=FeuxCarrefour.vhd-V_SC
      );

    U5 : Configurable_U5                                     -- ObjectKind=Part|PrimaryId=U5|SecondaryId=1
      Port Map
      (
        I0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U5-I0
        I1 => PinSignal_U_feuxcarrefour_O_SB,                -- ObjectKind=Pin|PrimaryId=U5-I1
        I2 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U5-I2
        I3 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U5-I3
        I4 => PinSignal_U_feuxcarrefour_O_SC,                -- ObjectKind=Pin|PrimaryId=U5-I4
        I5 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U5-I5
        I6 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U5-I6
        I7 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U5-I7
        O  => PinSignal_U5_O                                 -- ObjectKind=Pin|PrimaryId=U5-O[7..0]
      );

    U4 : Configurable_U4                                     -- ObjectKind=Part|PrimaryId=U4|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U_feuxcarrefour_V_SB,                -- ObjectKind=Pin|PrimaryId=U4-I0
        I1 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U4-I1
        I2 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U4-I2
        I3 => PinSignal_U_feuxcarrefour_V_SC,                -- ObjectKind=Pin|PrimaryId=U4-I3
        I4 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U4-I4
        I5 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U4-I5
        I6 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U4-I6
        I7 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U4-I7
        O  => PinSignal_U4_O                                 -- ObjectKind=Pin|PrimaryId=U4-O[7..0]
      );

    U3 : CLKGEN                                              -- ObjectKind=Part|PrimaryId=U3|SecondaryId=1
      Port Map
      (
        FREQ     => PinSignal_U3_FREQ,                       -- ObjectKind=Pin|PrimaryId=U3-FREQ
        TIMEBASE => CLK_BRD                                  -- ObjectKind=Pin|PrimaryId=U3-TIMEBASE
      );

    U2 : Configurable_U2                                     -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      Port Map
      (
        I0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U2-I0
        I1 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U2-I1
        I2 => PinSignal_U_feuxcarrefour_R_SB,                -- ObjectKind=Pin|PrimaryId=U2-I2
        I3 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U2-I3
        I4 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U2-I4
        I5 => PinSignal_U_feuxcarrefour_R_SC,                -- ObjectKind=Pin|PrimaryId=U2-I5
        I6 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U2-I6
        I7 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U2-I7
        O  => PinSignal_U2_O                                 -- ObjectKind=Pin|PrimaryId=U2-O[7..0]
      );

    U1 : Configurable_U1                                     -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      Port Map
      (
        CLK         => CLK_BRD,                              -- ObjectKind=Pin|PrimaryId=U1-CLK
        CLK_CAP     => PinSignal_U3_FREQ,                    -- ObjectKind=Pin|PrimaryId=U1-CLK_CAP
        EXT_TRIGGER => PowerSignal_VCC,                      -- ObjectKind=Pin|PrimaryId=U1-EXT_TRIGGER
        O_SB        => PinSignal_U_feuxcarrefour_O_SB,       -- ObjectKind=Pin|PrimaryId=U1-O_SB
        O_SC        => PinSignal_U_feuxcarrefour_O_SC,       -- ObjectKind=Pin|PrimaryId=U1-O_SC
        R_SB        => PinSignal_U_feuxcarrefour_R_SB,       -- ObjectKind=Pin|PrimaryId=U1-R_SB
        R_SC        => PinSignal_U_feuxcarrefour_R_SC,       -- ObjectKind=Pin|PrimaryId=U1-R_SC
        Set0_Spare  => PowerSignal_GND_BUS,                  -- ObjectKind=Pin|PrimaryId=U1-Set0_Spare[1..0]
        V_SB        => PinSignal_U_feuxcarrefour_V_SB,       -- ObjectKind=Pin|PrimaryId=U1-V_SB
        V_SC        => PinSignal_U_feuxcarrefour_V_SC        -- ObjectKind=Pin|PrimaryId=U1-V_SC
      );

    NEXUS_JTAG_PORTDEWFXLUO : NEXUS_JTAG_PORT                -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      Port Map
      (
        TCK  => JTAG_NEXUS_TCK,                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  => JTAG_NEXUS_TDI,                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  => PinSignal_NEXUS_JTAG_PORT_TDO,               -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  => JTAG_NEXUS_TMS,                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST => PowerSignal_VCC                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );

    -- Signal Assignments
    ---------------------
    JTAG_NEXUS_TDO      <= PinSignal_NEXUS_JTAG_PORT_TDO; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TDO
    LED_B               <= PinSignal_U5_O; -- ObjectKind=Net|PrimaryId=LED_B[7..0]
    LED_G               <= PinSignal_U4_O; -- ObjectKind=Net|PrimaryId=LED_G[7..0]
    LED_R               <= PinSignal_U2_O; -- ObjectKind=Net|PrimaryId=LED_R[7..0]
    PowerSignal_GND     <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_GND_BUS <= "00"; -- ObjectKind=Net|PrimaryId=N000-1
    PowerSignal_VCC     <= '1'; -- ObjectKind=Net|PrimaryId=VCC

end structure;
------------------------------------------------------------

